Index: trunk/grails-app/views/taskDetailed/show.gsp
===================================================================
--- trunk/grails-app/views/taskDetailed/show.gsp	(revision 180)
+++ trunk/grails-app/views/taskDetailed/show.gsp	(revision 181)
@@ -16,4 +16,9 @@
             <div class="message">${flash.message}</div>
             </g:if>
+            <g:if test="${taskInstance.trash}" >
+                <div class="errors">
+                        This task is in the trash bin, but can be restored if required.
+                </div>
+            </g:if>
             <g:hasErrors bean="${taskInstance}">
             <div class="errors">
@@ -75,5 +80,5 @@
                                                                                     showElement('modControlOpened');
                                                                                     hideElement('modControlClosed'); return false;">
-                                                    Modifications <img  src="${resource(dir:'images/skin',file:'sorted_asc.gif')}" alt="Show" />
+                                                    Modifications <img  src="${resource(dir:'images/skin',file:'bullet_toggle_plus.png')}" alt="Show" />
                                                 </a>
                                             </div>
@@ -83,5 +88,5 @@
                                                                                     showElement('modControlClosed');
                                                                                     return false;">
-                                                    Modifications <img  src="${resource(dir:'images/skin',file:'sorted_desc.gif')}" alt="Show" />
+                                                    Modifications <img  src="${resource(dir:'images/skin',file:'bullet_toggle_minus.png')}" alt="Show" />
                                                 </a>
                                             </div>
@@ -142,14 +147,7 @@
 
                                     <tr class="prop">
-                                        <td valign="top" class="name">Active:</td>
-
-                                        <td valign="top" class="value">${fieldValue(bean:taskInstance, field:'isActive')}</td>
-
-                                    </tr>
-
-                                    <tr class="prop">
                                         <td valign="top" class="name">Approved:</td>
 
-                                        <td valign="top" class="value">${fieldValue(bean:taskInstance, field:'isApproved')}</td>
+                                        <td valign="top" class="value">${fieldValue(bean:taskInstance, field:'approved')}</td>
 
                                     </tr>
@@ -158,5 +156,5 @@
                                         <td valign="top" class="name">Scheduled:</td>
 
-                                        <td valign="top" class="value">${fieldValue(bean:taskInstance, field:'isScheduled')}</td>
+                                        <td valign="top" class="value">${fieldValue(bean:taskInstance, field:'scheduled')}</td>
 
                                     </tr>
@@ -204,6 +202,29 @@
                             <g:form>
                                 <input type="hidden" name="id" value="${taskInstance?.id}" />
-                                <span class="button"><g:actionSubmit class="edit" value="Edit" /></span>
-                                <span class="button"><g:actionSubmit class="delete" onclick="return confirm('Are you sure?');" value="Delete" /></span>
+
+                                <g:if test="${taskInstance.trash}" >
+                                    <span class="button"><g:actionSubmit class="restore" onclick="return confirm('Are you sure?');" value="Restore" /></span>
+                                </g:if>
+                                <g:else>
+
+                                    <g:if test="${taskInstance.taskStatus.id != 3}" >
+                                        <span class="button"><g:actionSubmit class="complete" value="Complete" /></span>
+
+                                        <g:if test="${taskInstance.approved}" >
+                                            <span class="button"><g:actionSubmit class="renegeApproval" value="Renege Approval" action="renegeApproval" /></span>
+                                        </g:if>
+                                        <g:else>
+                                            <span class="button"><g:actionSubmit class="approve" value="Approve" /></span>
+                                        </g:else>
+
+                                        <span class="button"><g:actionSubmit class="edit" value="Edit" /></span>
+                                        <span class="button"><g:actionSubmit class="trash" onclick="return confirm('Are you sure?');" value="Trash" /></span>
+
+                                    </g:if>
+                                    <g:else>
+                                        <span class="button"><g:actionSubmit class="reopen" value="Reopen" /></span>
+                                    </g:else>
+
+                                </g:else>
                             </g:form>
                         </div>
@@ -252,10 +273,4 @@
                                         <th>Entered By</th>
                                         <th></th>
-
-            <!--                            <g:sortableColumn property="commentW" title="Comment" />
-
-                                        <g:sortableColumn property="dateDoneW" title="Date Done" />
-
-                                        <g:sortableColumn property="enteredByW" title="Entered By" />-->
                                     </tr>
                                 </thead>
